### Method

# EDataServer SourceMailIdentity set_name

since: 3.6

#### Declaration [src]

    void
    e_source_mail_identity_set_name (
      ESourceMailIdentity* extension,
      const gchar* name
    )

#### Description [src]

Sets the sender’s name for this identity.

The internal copy of `name` is automatically stripped of leading and trailing whitespace.

Available since: 3.6

Sets property | `EDataServer.SourceMailIdentity:name`

#### Parameters

`name`

  Type: `const gchar*`

  The sender’s name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.